import { Schema } from "effect";
export const type = "com.shwfed.actions.button.prototype";
export const compatibilityDate = "2026-04-18";
export const metadata = {
  name: "\u539F\u578B",
  icon: "fluent:predictions-20-regular"
};
export function schema(_configure) {
  return Schema.Struct({
    type: Schema.Literal(type),
    compatibilityDate: Schema.Literal(compatibilityDate)
  }).annotations({
    title: "PrototypeAction",
    description: "\u70B9\u51FB\u65E0\u526F\u4F5C\u7528\u7684\u539F\u578B\u6309\u94AE\uFF0C\u53EF\u88AB\u4E00\u6B21\u6027\u8F6C\u6362\u4E3A\u5176\u5B83\u7C7B\u578B"
  });
}
